Activity log for bug #360539

Date Who What changed Old value New value Message
2009-04-13 15:11:03 Didier Roche bug added bug
2009-04-13 15:11:53 Didier Roche tracker (Ubuntu): importance Undecided Wishlist
2009-04-13 15:11:53 Didier Roche tracker (Ubuntu): status New Triaged
2009-04-13 15:14:08 Didier Roche description Binary package hint: tracker tracker (0.6.93-0ubuntu1) jaunty; urgency=low * New upstream release: + Improvements: * Fixes tracker-preferences so it mangages removable-devices option. * Fixes tracker config typo. * Fixes tracker-indexer to not enter finished state after flushing. * Fixes tracker-extract not sending queued album art to thumbnailerd * Fixes trackerd to call nice(19) for crawling ONLY else nice(default). * Fixes libtracker-common preprocessor checks for thumbnailer/albumart. * Fixes tracker-extract multiple TrackerHal instances, 2x faster now. * Fixes tracker-extract tests by loading modules not directly linking. * Fixes tracker-applet by adding proper marshal generation for signals. * Fixes SIGSEGV for tracker-extract from exceeding setrlimit() mem. * Fixes Raptor dependency to 1.4.17, need _FEATURE_WRITE_BASE_URI. * Fixes indexer flush time to be optimized for Maemo platform, patch 09. * Fixes gstreamer extractor memory leaks, a lot of leaks. * Fixes gstreamer extractor memory corruption. * Fixes gstreamer extractor by stopping extraction on DURATION messages * Fixes album art memory management and access() to NULL paths. * Fixes adding BUILT_SOURCES to EXTRA_DIST for many Makefile.ams * Fixes not using plural translations in tracker-info. * Fixes several memory leaks/corruptions in gstreamer/mp3/png extractors. * Fixed memory leak in indexer's removable-device module. * Fixed memory leak in indexer's push module, close the dir. * Fixed TrackerDBIndex _update_word() memmove outside boundries. * Added error handling for "Can't store word" to applet. * Added new API tracker_metadata_get_multiple(). * Added pre-umount check there's an item before checking mount files. * Updated tracker-info to use _metadata_{get|_multiple}() APIs. * Updated extractors to use tracker_file_{open|close} with posix_fadvise * Removed all references to file-index-update.db, no longer used. * Improved performance by sending items to thumbailer AFTER indexing * Improves performance/mem of GFile->GQueue in tracker-monitor.c + Bugs: * Fixes GB#577656, tracker doesn't build on non-linux platforms * Fixes GB#577655, tracker-indexer.c fails to compile when... * Fixes LP#355982, crash in tracker-turtle.c with fclose() * Fixes NB#107570, tracker-extract crash just after device bootup * Fixes NB#106639, Music-Unknown Category displayed in Genre view * Fixes NB#109172, Video Library: RM , RMJ files listed in Video Library. * Fixes NB#107122, Video:Duration is shown as -:- in video library view * Fixes NB#108793, Not able to filer images with XMP date * Fixes NB#108819, tracker-indexer is crashing. * Fixes NB#108331, Memory Leak found for tracker-extract command * Fixes NB#106085, Tracked database is not updated when images were... * Fixes NB#100642, tracker is still listing the removed tags. + Translations updated * debian/patches/15_crasher-fix-from-svn-r3159.patch deleted as taken upstream * debian/patches/16_fixes-from-svn-r3167.patch: adapt as most of the patch has been taken upstream * debian/patches/99_autotools.patch: updated Binary package hint: tracker tracker (0.6.93-0ubuntu1) jaunty; urgency=low * New upstream release: + Improvements: * Fixes tracker-preferences so it mangages removable-devices option. * Fixes tracker config typo. * Fixes tracker-indexer to not enter finished state after flushing. * Fixes tracker-extract not sending queued album art to thumbnailerd * Fixes trackerd to call nice(19) for crawling ONLY else nice(default). * Fixes libtracker-common preprocessor checks for thumbnailer/albumart. * Fixes tracker-extract multiple TrackerHal instances, 2x faster now. * Fixes tracker-extract tests by loading modules not directly linking. * Fixes tracker-applet by adding proper marshal generation for signals. * Fixes SIGSEGV for tracker-extract from exceeding setrlimit() mem. * Fixes Raptor dependency to 1.4.17, need _FEATURE_WRITE_BASE_URI. * Fixes indexer flush time to be optimized for Maemo platform, patch 09. * Fixes gstreamer extractor memory leaks, a lot of leaks. * Fixes gstreamer extractor memory corruption. * Fixes gstreamer extractor by stopping extraction on DURATION messages * Fixes album art memory management and access() to NULL paths. * Fixes adding BUILT_SOURCES to EXTRA_DIST for many Makefile.ams * Fixes not using plural translations in tracker-info. * Fixes several memory leaks/corruptions in gstreamer/mp3/png extractors. * Fixed memory leak in indexer's removable-device module. * Fixed memory leak in indexer's push module, close the dir. * Fixed TrackerDBIndex _update_word() memmove outside boundries. * Added error handling for "Can't store word" to applet. * Added new API tracker_metadata_get_multiple(). * Added pre-umount check there's an item before checking mount files. * Updated tracker-info to use _metadata_{get|_multiple}() APIs. * Updated extractors to use tracker_file_{open|close} with posix_fadvise * Removed all references to file-index-update.db, no longer used. * Improved performance by sending items to thumbailer AFTER indexing * Improves performance/mem of GFile->GQueue in tracker-monitor.c + Bugs: * Fixes GB#577656, tracker doesn't build on non-linux platforms * Fixes GB#577655, tracker-indexer.c fails to compile when... * Fixes LP#355982, crash in tracker-turtle.c with fclose() * Fixes NB#107570, tracker-extract crash just after device bootup * Fixes NB#106639, Music-Unknown Category displayed in Genre view * Fixes NB#109172, Video Library: RM , RMJ files listed in Video Library. * Fixes NB#107122, Video:Duration is shown as -:- in video library view * Fixes NB#108793, Not able to filer images with XMP date * Fixes NB#108819, tracker-indexer is crashing. * Fixes NB#108331, Memory Leak found for tracker-extract command * Fixes NB#106085, Tracked database is not updated when images were... * Fixes NB#100642, tracker is still listing the removed tags. + Translations updated * debian/patches/15_crasher-fix-from-svn-r3159.patch deleted as taken from upstream * debian/patches/16_fixes-from-svn-r3167.patch: deleted as taken from upstream * debian/patches/99_autotools.patch: updated
2009-04-13 15:34:45 Didier Roche branch linked lp:~didrocks/tracker/ubuntu
2009-04-13 15:34:59 Didier Roche bug added subscriber Ubuntu Sponsors for main
2009-04-14 08:42:48 Martin Pitt tracker (Ubuntu): status Triaged Fix Committed
2009-04-14 12:06:02 Launchpad Janitor tracker (Ubuntu): status Fix Committed Fix Released
2009-12-09 14:55:34 Launchpad Janitor branch linked lp:ubuntu/tracker
2011-02-17 10:49:04 Daniel Holbach bug added subscriber Ubuntu Sponsors Team
2011-02-17 10:49:09 Daniel Holbach removed subscriber [DEPRECATED] Ubuntu Sponsors for main
2011-02-22 00:15:30 Benjamin Drung removed subscriber Ubuntu Sponsors Team